NETGEN-LVS(1)

NAME
netgen-lvs - Layout vs Schematic checker

SYNOPSIS
netgen-lvs [options] <interpreter commands ...>

DESCRIPTION

Netgen (netgen-lvs) is a tool for comparing netlists, a process known as LVS, which stands for "Layout vs. Schematic". This is an important step in the integrated circuit design flow, ensuring that the geometry that has been laid out matches the expected circuit.

In Debian, the name 'netgen-lvs' is used for this software because the word ’netgen' is reserved by other software. If you would like to be able to start netgen-lvs simply using 'netgen', prepend your PATH with:

   PATH=/usr/lib/netgen/bin:$PATH

When starting netgen-lvs without any options, a tkcon window with an interpreter pops up.

OPTIONS

-noc
    Brings up a command line TCL interpreter instead of the tkcon window

-batch/-bat
    For running batch commands and exiting immediately when done. It allows getting commands from the command line

-gui
    Brings up a Python GUI instead of the tkcon interpreter. The GUI is called 'LVS Manager' and provides a perhaps more intuitive interface.

USAGE

To run LVS between two SPICE netlists directly from the shell, you can for instance run:

   netgen -batch lvs bufferA.spice bufferB.spice

AUTHOR
This manual page was written by Ruben Undheim <ruben.undheim@gmail.com> for the Debian project (and may be used by others).